﻿@model IEnumerable<ClientEstateItem>
@{
    int i = 0;
    bool isMarried = ViewBag.IsMarried;
    IEnumerable<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
}

<div class="d-flex align-items-center flex-wrap mb-5">
    <h4 class="text-dark font-weight-bold mt-2 mb-2 mr-5">Let's review some Estate Planning information</h4>
</div>

<form asp-action="saveEsPlanning" class="form fv-plugins-bootstrap fv-plugins-framework" id="ssEsPlanning_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
    <button id="btn-save-exit-hidden" class="d-none"></button>
    <div class="wizard-content-height">
        <div class="table-responsive">
            <table class="table table-sm table-bordered planning-table mb-0">
                <thead class="bg-default">
                    <tr>
                        <th class="pl-5 min-w-300px">Estate Planning</th>
                        <th class="text-center min-w-100px">
                            @ClientName
                        </th>
                        @if (isMarried)
                        {
                            <th class="text-center min-w-100px"> @SpouseName</th>
                        }
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td class="pl-5">
                                <input type="hidden" value="@item.Id" name="clientEstateItem[@i].Id" />
                                <input type="hidden" value="@item.Guid" name="clientEstateItem[@i].Guid" />
                                <input type="hidden" value="@item.DescriptionItemId" name="clientEstateItem[@i].DescriptionItemId" />
                                @item.DescriptionItem.itemDesc
                            </td>
                            <td class="text-center">
                                <span class="switch switch-icon switch-sm switch-custom justify-content-center">
                                    <label>
                                        <input type="checkbox" asp-for="@item.isClientActive" name="clientEstateItem[@i].isClientActive" />
                                        <span></span>
                                    </label>
                                </span>
                            </td>
                            @if (isMarried)
                            {
                                <td class="text-center">
                                    <span class="switch switch-icon switch-sm switch-custom justify-content-center">
                                        <label>
                                            <input type="checkbox" asp-for="@item.isSpouseActive" name="clientEstateItem[@i].isSpouseActive" />
                                            <span></span>
                                        </label>
                                    </span>
                                </td>
                            }
                        </tr>
                        i++;
                    }
                </tbody>
            </table>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>